Package org.jbpm.services.task.impl

## Class TaskDeadlinesServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskDeadlinesServiceImpl

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskDeadlinesService`

      public class TaskDeadlinesServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskDeadlinesService

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TaskDeadlinesServiceImpl.ScheduledTaskDeadline` |

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.api.TaskDeadlinesService

      `org.kie.internal.task.api.TaskDeadlinesService.DeadlineType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static NotificationListener` | `notificationListener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDeadlinesServiceImpl()` |
    `TaskDeadlinesServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `dispose()` |
    `static void` | `reset()` |
    `void` | `schedule​(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)` |
    `void` | `schedule​(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type, boolean isNew)` |
    `void` | `scheduleNew​(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)` |
    `static void` | `setFallbackExecutor​(org.kie.api.runtime.CommandExecutor executor)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |
    `void` | `unschedule​(long taskId, org.kie.internal.task.api.model.Deadline deadline, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)` |
    `void` | `unschedule​(long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### notificationListener

          protected static NotificationListener notificationListener

  - ### Constructor Detail

    - #### TaskDeadlinesServiceImpl

          public TaskDeadlinesServiceImpl()

    - #### TaskDeadlinesServiceImpl

          public TaskDeadlinesServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### scheduleNew

          public void scheduleNew​(long taskId,
                                  long deadlineId,
                                  long delay,
                                  org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

      Specified by:
        `scheduleNew` in interface `org.kie.internal.task.api.TaskDeadlinesService`

    - #### schedule

          public void schedule​(long taskId,
                               long deadlineId,
                               long delay,
                               org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

      Specified by:
        `schedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

    - #### schedule

          public void schedule​(long taskId,
                               long deadlineId,
                               long delay,
                               org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type,
                               boolean isNew)

    - #### unschedule

          public void unschedule​(long taskId,
                                 org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

      Specified by:
        `unschedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

    - #### unschedule

          public void unschedule​(long taskId,
                                 org.kie.internal.task.api.model.Deadline deadline,
                                 org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

      Specified by:
        `unschedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

    - #### setFallbackExecutor

          public static void setFallbackExecutor​(org.kie.api.runtime.CommandExecutor executor)

    - #### reset

          public static void reset()

    - #### dispose

          public static void dispose()